:root {
	--base: #f0f0f0;
	--base-white: #fafafa;

	--main-colour: #191826;
	--main-colour-transparent: #191826CC;

	--red: #d70909;
    --header-transparent: #ba0a1be6;

	--cool: #67bed6;
	--earthy: #533030;
	--dark: #262E33;

	--slope-size: 6vw;
	--anim-time: 0.4s;
}

html, body {
    margin: 0;
    padding: 0;

    font-family: 'work-sans', sans-serif;
    font-size: 16px;
}

html {
	background-color: var(--main-colour);
	min-height: 100vh;
}

body {
	background-color: var(--base);
    height: 100%;
}

main {
    flex: 1;
    padding: 0 32px;
}

:is(h1, h2, h3, h4, h5, h6) {
    font-family: 'neue-haas-grotesk-display', sans-serif;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 2px;

    margin: 0;
    line-height: 1;
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 30px;
}

hr {
    border: 2px solid black;
    margin-top: 0;
}

main p a:link:not([class]) {
    color: var(--red);
    transition: color 0.2s linear, background-color 0.2s linear;
}

main p a:hover:not([class]) {
    background-color: var(--red);
    color: white;
}


/* === FORMATTING === */
.flex-row {
    display: flex;
    flex-flow: row wrap;
    column-gap: 48px;
    row-gap: 32px;
    justify-content: center;
}

@media (min-width: 767px) {
	.textbox {
		max-width: 800px;
		min-width: 400px;
		flex: 1;
	}
}

img.portrait {
    float: left;
    width: 180px;
    height: 240px;
    margin: 16px 16px 16px 0;
}

.title {
    display: flex;
    flex-flow: nowrap;
    width: 100%;
}

.title :is(h1, h2, h3, h4, h5, h6) {
    flex: 1;
}

.title a {
    align-self: flex-end;
    margin-bottom: 4px;

    color: white;
    background-color: black;
    font-weight: bold;
    text-decoration: none;
    padding: 4px 10px;

    transition: background-color 0.2s ease-out, color 0.2s ease-out;
}

.title a:hover {
    background-color: var(--red);
    color: white;
}

.strikethrough-title {
    display: flex;
    flex-flow: row nowrap;
    width: 100%;
}

.strikethrough-title .line {
    height: 0;
    flex-grow: 1;
    border: 3px solid black;
    align-self: center;
    margin-left: 8px;
}

h1.primary-title {
    font-size: 50px;
	font-weight: 900;
    text-align: center;

    margin: 16px 0 48px;
}

a.link-box {
    display: inline-block;

    color: var(--red);
	background-color: var(--base-white);
    border: 2px solid var(--red);
    padding: 8px 12px;

    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
    text-decoration: none;

    transition: color 0.3s ease-out, background-color 0.3s ease-out;
}

a.link-box:hover {
    color: white;
    background-color: var(--red);
}

a.link-box p {
    margin: 0;
    line-height: 1;
}

a.link-box.flex-row {
    display: inline-flex;
    flex-grow: 0;
    flex-wrap: nowrap;
    column-gap: 12px;

    margin: 0 auto;
}

a.link-box.flex-row h2:last-child {
    align-self: center;
}

.red-panel {
    color: var(--red);
    border: 3px solid var(--red);

    padding: 16px;
}

.red-panel hr {
    border-color: var(--red);
}

img.banner {
	width: 100%;
	margin-bottom: 20px;
}


/* === FORMS === */
input {
    background-color: transparent;
    color: black;
    border: 2px solid black;

    font-size: 18px;
}

input:-webkit-autofill {
    -webkit-box-shadow:0 0 0 50px white inset;
}

input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 50px white inset;
}

form .flex-row {
    column-gap: 16px;
    row-gap: 12px;
    margin-bottom: 12px;
}

form .flex-row input {
    flex: 1;
}

.red-panel input {
    background: transparent;
    color: var(--red);
    border-color: var(--red);
    
    padding: 4px 8px;
}

.red-panel input[type="submit"] {
    background-color: transparent;
    color: var(--red);
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 3px;
    padding: 8px 0;

    cursor: pointer;
    transition: color var(--anim-time) ease-out, background-color var(--anim-time) ease-out;
}

.red-panel input[type="submit"]:hover {
    background-color: var(--red);
    color: white;
}